Bug 1916764

Summary: editing a workload with no application applied, will auto fill the app
Product: OpenShift Container Platform Reporter: Mohammed Saud <msaud>
Component: Dev ConsoleAssignee: Mohammed Saud <msaud>
Status: CLOSED ERRATA QA Contact: Aritra Roy <ariroy>
Severity: low Docs Contact:
Priority: low    
Version: 4.7CC: aballant, aos-bugs, ariroy, nmukherj
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:53:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mohammed Saud 2021-01-15 15:02:01 UTC
Description of problem:
When editing a workload through the edit import forms, the application gets suggested when the value started off empty. When editing, we should keep the application as "no application" until the user explicitly edits it.


Prerequisites (if any, like setup, operators/versions):


Steps to Reproduce

    in a brand new namespace
    import from git any repo
    ensure application is empty
    submit the form
    from topology edit the workload
    the import form will load
    change the git url


Actual results:
after git url validation, the form auto fills the application name


Expected results:
since there was no application name to begin with, the form should not auto fill


Reproducibility (Always/Intermittent/Only Once):
always

Comment 2 Aritra Roy 2021-01-27 10:31:53 UTC
verified on build 4.7.0-0.nightly-2021-01-26-162323

Comment 5 errata-xmlrpc 2021-02-24 15:53:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633